Bug 141341 - DOCX: missing import/export support for Hebrew/Arabic etc numbering Types
Summary: DOCX: missing import/export support for Hebrew/Arabic etc numbering Types
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-30 11:21 UTC by Justin L
Modified: 2021-04-07 09:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
exoticNumbering_MSO2016.docx: mixture of Arabic/Hebrew numbering. (19.89 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-03-30 11:21 UTC, Justin L
Details
exoticNumbering_MSO2016.pdf (351.13 KB, application/pdf)
2021-03-30 11:21 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2021-03-30 11:21:01 UTC
Created attachment 170825 [details]
exoticNumbering_MSO2016.docx: mixture of Arabic/Hebrew numbering.

Numbering is used in various places in Writer (and Word).
1.) Line numbering: no option that I see in Word to configure this: Always 1,2,3.
2.) Page numbering: very limited support currently - no Hebrew or Arabic chars.
3.) Footnote numbering: spotty support.
4.) List numbering: good DOCX support. Only missing arabicAbjad recognition.
5.) ??? anything else ???

There are some fairly comprehensive conversion functions for both import and export, but they aren't used consistently. I don't see any reason why the same conversion function can't be used in all cases.

Steps to reproduce:
-just open the document - none of the numbering should be in 123, or roman.
-save and reload the document.
Comment 1 Justin L 2021-03-30 11:21:52 UTC
Created attachment 170826 [details]
exoticNumbering_MSO2016.pdf
Comment 2 Justin L 2021-03-30 13:08:43 UTC
Proposed patches at
http://gerrit.libreoffice.org/c/core/+/113350 tdf#141341 writerfilter: use all NumberingTypes for pgNumFmt

http://gerrit.libreoffice.org/c/core/+/113351 tdf#141341 docxexport: consolidate conversion of NumTypes
Comment 3 Commit Notification 2021-04-01 15:59:51 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4f7bc49bce261f1cf206d25f0299fd080a9f5d28

tdf#141341 writerfilter: use all NumberingTypes for pgNumFmt

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-04-07 08:35:23 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cfdfe45bf2f8e054c811eeac5f993de501cdb532

tdf#141341 docxexport: consolidate conversion of NumTypes

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.